package com.lantone.qc.kernel.structure.ai.model;

/**
 * @Description:
 * @Author: HUJING
 * @Date: 2019/12/17 9:58
 */
public enum EntityEnum {
    CLINICAL_FEATURE("临床表现"), DIEASE("疾病名称"), BODY("身体部位"), SIGN("体征"), INDEX_VALUE("指标值"),
    LABORATORY("实验室检查"), LABORATORY_VALUE("实验室检查值"), AUXILIARY_EXAMINATION("辅助检查"), AUXILIARY_DESCRIPT("辅助检查描述"),
    NEGATIVE("否定"), POSSIBLE("可能的"), TIME("时间"), CAUSE("诱因"), MODIFICATION("修饰"),
    PROPERTY("性质"), DEGREE("程度"), AGGRAVATE("加重情况"), RELIEF("缓解情况"), BEHOSPITALIZEDWAY("入院途径"),
    TREND("趋势"), FREQUENCY("频率"), QUANTITY("数量"), SIZE("尺寸"), CURE("治疗"), TREAT_MENT("治疗或治疗目的"), DRUG("药物名称"),
    DOSE("药品剂量"), OPERATION("手术名称"), GENERAL("一般情况"), GENERAL_DESCRIPT("一般情况描述"),
    OPERATION_KEYWORD("手术史"), OPERATION_RESULT("手术结果"), INJURY("外伤史"), ALLERGY("过敏"),
    FOOD_ALLERGY("食物过敏原"), DRUG_ALLERGY("药物过敏原"), ALLERGY_SYMPTOM("过敏表现"), BLOOD_TRANSFUSION("输血史"),
    TRANSFUSION_REACTION("输血反应"), VACCINATION("预防接种史"), DISEASE_KEYWORD("疾病史"), INFECTIOUS_KEYWORD("传染病史"),
    UNKNOWN("情况不详"), HEALTH("健康情况"), AGE("年龄"), SMOKING_HISTORY("吸烟史"),
    HISTORY_OF_ALCOHOL_INTAKE("饮酒史"), USAGE("用量"), MENSES("月经"), LEUKORRHEA("白带"),
    BIRTH_HIS("生育情况"), CONJUGAL_RELATION("夫妻关系"), RELATIVES("家属"), GROUP_CONSULTATION("会诊"), ORGANISM("生物体"),
    OCCUPATION("职业"), LOCATION("地点"), DEAD("死亡"), DEAD_REASON("死亡原因"), TUMOUR("肿瘤病史"),
    SIMILAR_DISEASE_KEYWORD("相似疾病"), GENETIC_DISEASE_KEYWORD("家族遗传病"), EPIDEMIC_AREA_HISTORY("疫区史"), SPECIAL_HOBBY("特殊嗜好"),
    CONTACT_HISTORY("接触史"), MARITAL_HISTORY("冶游史"), MARITAL_STATUS("婚姻情况"), MARRYIAGE("结婚年龄"), NEAR_RELATION("近亲史"),
    CURE_AIM("治疗目的"), OTHER("其他"), OUTERCOURTYARD("外院"), NURSING_LEVEL("护理级别"), CHIEF("主诉"), NOTES("注意事项"),
    KEY_WORD_FOR_DOCTOR_ADVICES("出院医嘱标题"), DOCTORADVICE("医嘱"), KEY_WORD_FOR_PART("大标题"), OUTCOME("转归情况"),
    PHYSICAL_EXAMINATION("查体"), TITLE_FOR_SIGN("查体标题"), TITLE_FOR_DIAG("诊断标题"), TITLE_FOR_DIAG_BASIS("诊断依据标题"),
    TITLE_FOR_DIFF("鉴别诊断标题"), TITLE_FOR_TREAT("诊疗计划标题"), TITLE("标题"), TREATMENT_PLAN("诊疗计划"),
    TITLE_OF_OPERATIVE_FINDINGS("手术经过标题"), TITLE_OF_MEASURES_AFTER_OP("术后处理措施标题"),
    TITLE_OF_RISK_AFTER_OP("术后风险标题"), TITLE_OF_ATTENTION_AFTER_OP("术后注意事项标题"), VITAL("生命体征"),
    BETTER_FINDING("好转表现"), OUTCOME_TO_BETTER("转归情况-好转"), OUTCOME_CURE("转归情况-治愈"), POSITIVE_FINDING("阳性表现"),
    INSPECTION_ITEMS("检查项目"), DISCHARGE_MODE("出院方式"), LABORATORY_PACKAGE("实验室检查套餐"), LABORATORY_RESULTS("实验室检查结果"),
    AUXILIARY_EXAMINATION_RESULTS("辅检结果"), CONSUMPTION("用量-查房"), USAGE_WARD_ROUND("用法"), STOP("停用"),
    REASONS_FOR_ANTIBIOTIC("抗生素使用原因"),CHECK_TIME("检查时间");

    private String value;

    EntityEnum(String value) {
        this.value = value;
    }

    public String toString() {
        return value;
    }

    public static EntityEnum parseOfValue(String value) {
        if (value == null) {
            return EntityEnum.OTHER;
        }
        EntityEnum entityEnum = EntityEnum.OTHER;
        switch (value) {
            case "临床表现":
                entityEnum = EntityEnum.CLINICAL_FEATURE;
                break;
            case "疾病名称":
                entityEnum = EntityEnum.DIEASE;
                break;
            case "身体部位":
                entityEnum = EntityEnum.BODY;
                break;
            case "体征":
                entityEnum = EntityEnum.SIGN;
                break;
            case "指标值":
                entityEnum = EntityEnum.INDEX_VALUE;
                break;
            case "实验室检查":
                entityEnum = EntityEnum.LABORATORY;
                break;
            case "实验室检查值":
                entityEnum = EntityEnum.LABORATORY_VALUE;
                break;
            case "辅助检查":
                entityEnum = EntityEnum.AUXILIARY_EXAMINATION;
                break;
            case "辅助检查描述":
                entityEnum = EntityEnum.AUXILIARY_DESCRIPT;
                break;
            case "否定":
                entityEnum = EntityEnum.NEGATIVE;
                break;
            case "可能的":
                entityEnum = EntityEnum.POSSIBLE;
                break;
            case "时间":
                entityEnum = EntityEnum.TIME;
                break;
            case "诱因":
                entityEnum = EntityEnum.CAUSE;
                break;
            case "修饰":
                entityEnum = EntityEnum.MODIFICATION;
                break;
            case "趋势":
                entityEnum = EntityEnum.TREND;
                break;
            case "频率":
                entityEnum = EntityEnum.FREQUENCY;
                break;
            case "数量":
                entityEnum = EntityEnum.QUANTITY;
                break;
            case "尺寸":
                entityEnum = EntityEnum.SIZE;
                break;
            case "治疗":
                entityEnum = EntityEnum.CURE;
                break;
            case "药物名称":
                entityEnum = EntityEnum.DRUG;
                break;
            case "药品剂量":
                entityEnum = EntityEnum.DOSE;
                break;
            case "手术名称":
                entityEnum = EntityEnum.OPERATION;
                break;
            case "一般情况":
                entityEnum = EntityEnum.GENERAL;
                break;
            case "一般情况描述":
                entityEnum = EntityEnum.GENERAL_DESCRIPT;
                break;
            case "手术史":
                entityEnum = EntityEnum.OPERATION_KEYWORD;
                break;
            case "手术结果":
                entityEnum = EntityEnum.OPERATION_RESULT;
                break;
            case "外伤史":
                entityEnum = EntityEnum.INJURY;
                break;
            case "过敏":
                entityEnum = EntityEnum.ALLERGY;
                break;
            case "食物过敏原":
                entityEnum = EntityEnum.FOOD_ALLERGY;
                break;
            case "药物过敏原":
                entityEnum = EntityEnum.DRUG_ALLERGY;
                break;
            case "过敏表现":
                entityEnum = EntityEnum.ALLERGY_SYMPTOM;
                break;
            case "输血史":
                entityEnum = EntityEnum.BLOOD_TRANSFUSION;
                break;
            case "输血反应":
                entityEnum = EntityEnum.TRANSFUSION_REACTION;
                break;
            case "预防接种史":
                entityEnum = EntityEnum.VACCINATION;
                break;
            case "疾病史":
                entityEnum = EntityEnum.DISEASE_KEYWORD;
                break;
            case "传染病史":
                entityEnum = EntityEnum.INFECTIOUS_KEYWORD;
                break;
            case "情况不详":
                entityEnum = EntityEnum.UNKNOWN;
                break;
            case "健康状况":
                entityEnum = EntityEnum.HEALTH;
                break;
            case "年龄":
                entityEnum = EntityEnum.AGE;
                break;
            case "吸烟史":
                entityEnum = EntityEnum.SMOKING_HISTORY;
                break;
            case "饮酒史":
                entityEnum = EntityEnum.HISTORY_OF_ALCOHOL_INTAKE;
                break;
            case "用量":
                entityEnum = EntityEnum.USAGE;
                break;
            case "月经":
                entityEnum = EntityEnum.MENSES;
                break;
            case "白带":
                entityEnum = EntityEnum.LEUKORRHEA;
                break;
            case "生育情况":
                entityEnum = EntityEnum.BIRTH_HIS;
                break;
            case "夫妻关系":
                entityEnum = EntityEnum.CONJUGAL_RELATION;
                break;
            case "家属":
                entityEnum = EntityEnum.RELATIVES;
                break;
            case "会诊":
                entityEnum = EntityEnum.GROUP_CONSULTATION;
                break;
            case "生物体":
                entityEnum = EntityEnum.ORGANISM;
                break;
            case "职业":
                entityEnum = EntityEnum.OCCUPATION;
                break;
            case "地点":
                entityEnum = EntityEnum.LOCATION;
                break;
            case "死亡":
                entityEnum = EntityEnum.DEAD;
                break;
            case "死亡原因":
                entityEnum = EntityEnum.DEAD_REASON;
                break;
            case "相似疾病":
                entityEnum = EntityEnum.SIMILAR_DISEASE_KEYWORD;
                break;
            case "家族遗传病":
                entityEnum = EntityEnum.GENETIC_DISEASE_KEYWORD;
                break;
            case "疫区史":
                entityEnum = EntityEnum.EPIDEMIC_AREA_HISTORY;
                break;
            case "特殊嗜好":
                entityEnum = EntityEnum.SPECIAL_HOBBY;
                break;
            case "接触史":
                entityEnum = EntityEnum.CONTACT_HISTORY;
                break;
            case "冶游史":
                entityEnum = EntityEnum.MARITAL_HISTORY;
                break;
            case "婚姻情况":
                entityEnum = EntityEnum.MARITAL_STATUS;
                break;
            case "治疗目的":
                entityEnum = EntityEnum.CURE_AIM;
                break;
            case "检查项目":
                entityEnum = EntityEnum.INSPECTION_ITEMS;
                break;
            case "出院方式":
                entityEnum = EntityEnum.DISCHARGE_MODE;
                break;
            case "实验室检查套餐":
                entityEnum = EntityEnum.LABORATORY_PACKAGE;
                break;
            case "实验室检查结果":
                entityEnum = EntityEnum.LABORATORY_RESULTS;
                break;
            case "辅检结果":
                entityEnum = EntityEnum.AUXILIARY_EXAMINATION_RESULTS;
                break;
            case "用量-查房":
                entityEnum = EntityEnum.CONSUMPTION;
                break;
            case "用法":
                entityEnum = EntityEnum.USAGE_WARD_ROUND;
                break;
            case "停用":
                entityEnum = EntityEnum.STOP;
                break;
            case "抗生素使用原因":
                entityEnum = EntityEnum.REASONS_FOR_ANTIBIOTIC;
                break;
            case "检查时间":
                entityEnum = EntityEnum.CHECK_TIME;
                break;
        }
        return entityEnum;
    }
}
